Skip to main content
POST
/
v1
/
platform
/
payment-methods
/
plaid
/
exchange-token
Exchange Plaid Public Token
curl --request POST \
  --url https://api.sandbox.finogates.com/v1/platform/payment-methods/plaid/exchange-token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "public_token": "<string>"
}
'
{
  "status_code": 123,
  "data": "<unknown>",
  "query_generated_time": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.finogates.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Exchange a Plaid public_token after the user completes Link.

user_id
string<uuid>
required

UUID of the end user who completed the Plaid Link flow.

Example:

"b3a9b622-cc63-4d3c-aad6-2d8e29e6f9d4"

public_token
string
required

One-time public token returned by Plaid Link after the user selects and authenticates their bank account.

Required string length: 20 - 200
Example:

"public-sandbox-aBcDeFgHiJkL..."

Response

Successful Response

Standard response wrapper for single-object responses and errors.

status_code
integer
required

HTTP status code for the response.

data
any
required

Payload or error details.

query_generated_time
integer
required

UTC timestamp (milliseconds since epoch) when response was generated.